<html>
<head>
<title>OGRE: OgreAnimationState.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreAnimationState.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreController_8h-source.html">OgreController.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>&quot;</code><br>

<p>
<a href="OgreAnimationState_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents the state of an animation and the weight of it's influence.  <a href="classOgre_1_1AnimationState.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class encapsulating a set of <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a> objects.  <a href="classOgre_1_1AnimationStateSet.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationStateControllerValue.html">Ogre::AnimationStateControllerValue</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> wrapper class for <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of it&#39;s influence.">AnimationState</a>.  <a href="classOgre_1_1AnimationStateControllerValue.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; String,<br>
 AnimationState * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#8d88c1f65ad1d1bff16764d738e4cc55">Ogre::AnimationStateMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef MapIterator<br>
&lt; AnimationStateMap &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#c427736c80940f4469fe0f4ac1694f67">Ogre::AnimationStateIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
ConstMapIterator<br>
&lt; AnimationStateMap &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#ad9cc8241f80d9d8fb4f112409de792f">Ogre::ConstAnimationStateIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; AnimationState * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#6f881141254ff23343b18f2c053b7941">Ogre::EnabledAnimationStateList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
ConstVectorIterator<br>
&lt; EnabledAnimationStateList &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#7bc761681d8c97c449763d8b77dcedf8">Ogre::ConstEnabledAnimationStateIterator</a></td></tr>

</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
